Vergleichsrechner 4.0: JS-API

Sonstiges 8 Kommentare

Zur Einbindung unserer neuen Vergleichsrechner in die eigene Website steht Ihnen ab sofort die neue JS-API (Version 1.1) zur Verfügung. Die neue JS-API ist abwärtskompatibel zu den Vergleichsrechnern der Version 3. Dies bedeutet, dass Sie nach Update auf die JS-API 1.1 nicht bei jedem Release eines neuen Vergleichsrechners eingreifen müssen. Die Technik erkennt selbständig und automatisch ob es einen Vergleichsrechner in der Version 4 gibt und priorisiert diesen ggf. gegenüber der Einbindung des Vergleichsrechners Version 3.

Die Einbindung

Um einen Vergleichsrechner mit der JS-API 1.1 einzubinden, fügen Sie einfach folgenden HTML-Code in Ihrer Website ein:


Ersetzen Sie hierbei „[VERMITTLER]“ durch Ihre Vermittler-Nummer. „hundehaftpflicht“ steht beispielhaft für die ID des Vergleichsrechners. Sofern Sie einen anderen Vergleichsrechner einbinden möchten, ersetzen Sie „hundehaftpflicht“ durch die ID des gewünschten Vergleichsrechners. Die IDs aller Vergleichsrechner können Sie der Linkliste im MVP entnehmen. „[THEME]“ ist optional und definiert das Theme. Eine Liste aller verfügbaren Themes kann ebenfalls im MVP eingesehen werden.

Weitere Informationen zur JS-API entnehmen Sie bitte der Dokumentation der JS-API. Aus dieser geht auch der Umgang mit DioML hervor sowie die Übergabe von Parametern – bspw. für die Erstellung von Catchern.

8 Kommentare

Avatar von Dirk Gärtner
Dirk Gärtner am 16.10.2014 um 12:53 Uhr

Moin, moin,

geht auch alternativ das wordpress plugin zu installieren? Und hätte ich mit dem plugin auch die Möglichkeit einen Kundenzugang direkt von unserer Seite zu generieren?

VG
Dirk

Avatar von Marvin Kowalski
Marvin Kowalski am 20.10.2014 um 11:54 Uhr

Moin Herr Gärtner,

das wordpress Plugin können Sie selbstverständlich auch verwenden, nähere Informationen finden Sie unter folgendem Link:
http://blog.blaudirekt.de/2011/10/blau-direkt-wordpress-plugin/

Die neuen Vergleichsrechner werden aktuell nicht vom wordpress Plugin ausgeliefert, eine Umsetzung dafür ist 2015 geplant.

Den Kunden-Login können Sie als iFrame an einer beliebigen Stelle Ihrer Webseite einbinden.
Die Linkliste finden Sie im Portal über den Reiter „Technik“.

Per JS-API können Sie den Kunden-Login direkt einbinden.

Bei weiteren Fragen stehe ich Ihnen gerne zur Verfügung.

Avatar von Michael Freund
Michael Freund am 22.10.2014 um 15:16 Uhr

Ich habe die neuen Vergleichsrechner API recht einfach implementieren können. Auch die Dokumentation war dabei hilfreich. Alles in allem eine deutliche Verbesserung.

Allerdings könnte die Dokumentation bei den Punkten, die über den Standard hinausgehen (z.B. Event-Handling), durchaus noch etwas ausführlicher sein. Einen leeren Prototypen bei addEvents hätte ich auch so hin bekommen. Viele wichtiger fände ich jedoch ein Beispiel, was in der Funktion drin stehen müßte.

Auch feuert z.B. das Event „quotes“ nie den dokumentierten Substep = „covercomparison“ beim Öffnen des Deckungsvergleichs. Das Event kommt dann zwar, der Substep ist aber „undefined“.

Die Umsetzung von Events der alten Vergleichsrechner funktioniert eher schlecht. Das Event „resize“ z.B. liefert das size-Objekt nur bei neuen Rechnern. Beim alten Rechner ist es nicht definiert.

Da die alten Rechner mit der neuen API nicht 100-prozentig funktionieren, werde ich sicherheitshalber die alten Rechner weiter mit der alten API laufen lassen.

Es wäre aber schön, wenn es eine einfache Möglichkeit gäbe, z.B. per JavaScript festzustellen, welcher Rechner schon auf Version 4 umgestellt wurde. Dann muss man nicht jedesmal was ändern, sobald ein Rechner umgestellt wurde.

Grundsätzlich fände ich eine logische Nummerierung der API günstig. Wenn man von Rechner der 4. Generation spricht, sollte die API nicht unbedingt eine Version 1.1 sein?

Wie bekommt man die Buttons „Angebot laden“, „Angebot speichern“ und „Dokumentation“ über dem Rechner weg? Speziell „Dokumentation“ macht auf einer öffentlichen Webseite mit Endkunden meiner Meinung nach überhaupt keinen Sinn.

Avatar von Honoro
Honoro am 22.10.2014 um 17:23 Uhr

Hallo Herr Kowalski,

wie leider merken musste, geht bei der WordPress Plugin bei bestimmten Vergleichsrechnern (Sterbegeldversicherung) die automatische Anpassung an den I-Frame nicht mehr. Habe ich was übersehen oder ist hier etwas geändert worden ? Ich habe jetzt den Rechner wieder per I-Frame eingebunden, aber die automatische Anpassung durch das Plugin war mir wesentlich lieber.

Avatar von Marvin Kowalski
Marvin Kowalski am 23.10.2014 um 14:13 Uhr

Hallo,

ad-hoc konnte ich dies nicht nachvollziehen.
Die Vergleichsrechner werden über das Plugin gleich ausgeliefert. Ich kann mir vorstellen das hierfür eine CSS Definition verantwortlich ist.

Wenn Sie beispielsweise in der CSS Definition die 100% Breite entfernen, wird der Vergleichsrechner automatisch in voller Breite angezeigt.

Auf die Gefahr hin, das ich Ihr Anliegen nicht korrekt verstanden habe, stehe ich Ihnen gerne auch telefonisch zur Verfügung damit Sie mir dies genauer schildern und ggf. zeigen können.

Avatar von Juergen
Juergen am 27.07.2015 um 19:51 Uhr

Hierzu noch eine Frage, früher hatte man ja im Header

[code]
{ „vermittler“:“243417″, „blauml“:true }
[/code]

und an der Stelle wo der Rechner erschein´nen sollte

z.B.
[code][/code]

einzugeben.

Kann mir kurz jemand sagen, mit was genau ich die jeweiligen Codes zu ersetzen habe?

Avatar von Juergen
Juergen am 27.07.2015 um 19:53 Uhr

der letzte Commentar ist obsolet, da der Code nicht angezeigt wurde.

Avatar von Marvin Kowalski
Marvin Kowalski am 28.07.2015 um 9:42 Uhr

Moin Jürgen,

schick mir dein Anliegen doch einmal kurz per E-Mail, ich bin sicher wir finden eine Lösung 😉

Kommentar verfassen